import {HttpClient} from '@angular/common/http';
import {Observable} from 'rxjs/Rx';
import {Injectable} from '@angular/core';
import {SERVER_API_URL} from '../app.constants';

@Injectable()
export class TopologyService {

    constructor(private http: HttpClient) {
    }

    //查询所有拓扑图
    find(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/map/find',data);
    }

    //根据拓扑图ID查询背景图
    findImage(params): Observable<any> {
        return this.http.get(SERVER_API_URL + '/map/findImage/' + params);
    }
}